<template>
  <div>
    <van-nav-bar title="数据详情" left-text="返回" @click-left="$route_back" left-arrow></van-nav-bar>
    <div class="body_com has_header">
      <scroller>
        <van-cell-group>
          <van-cell title="单元格" value="内容" />
          <van-cell title="单元格" value="内容" label="描述信息" />
        </van-cell-group>
        <van-panel title="标题" desc="描述信息" status="状态">
          <div>内容</div>
        </van-panel>
      </scroller>
    </div>
  </div>
</template>

<script>
  import request from '@/utils/request'
  import Vue from 'vue';
  import { Panel } from 'vant';

  Vue.use(Panel);
  export default {
    name: "info",
    data(){
      return {
        data: {
          id: 0,
          name: '',
          start_time: '',
          end_time: '',
          employee_ids: '',
          manager_ids: '',
          leader_can_record: ''
        },
        id: 0
      }
    },
    methods: {
      get_data(){
        let self = this
        self.$toast.loading({
          message: '正在加载'
        })
        request('get','/api/integral/pk/info',{pk_id: this.id}).then(res => {
          self.$toast.clear()
          this.data = res.data.data
        }).catch(e => {

        })
      }
    },
    created(){
      if(this.$route.query.id){
        this.id = this.$route.query.id
      }
      this.get_data()
    }
  }
</script>

<style scoped>
  .body_com {
    height: calc(100% - 0.92rem);
    position: relative;
  }
</style>
